<?php

header('Content-Type: application/json; charset=utf-8');

// Retrieve POST data and sanitize it
$id = $_POST['id'];
$title = $_POST['title'];
$path = $_POST['path'];
$reqPassword = $_POST['reqPassword'];

// Define the correct password
$correctPassword = 'tkbanao';

// Check the password
if($reqPassword === $correctPassword) {
    // Include the database connection
    require 'con.php';
    $con->set_charset("utf8mb4");

    // Prepare the SQL statement to prevent SQL injection
    $stmt = $con->prepare("UPDATE video_tb SET title = ?, path = ? WHERE id = ?");
    $stmt->bind_param("ssi", $title, $path, $id);

    // Execute the statement and check the result
    if($stmt->execute()) {
        echo json_encode(['status' => 'success', 'message' => 'Update successfully']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Something went wrong']);
    }

    // Close the statement and the connection
    $stmt->close();
    $con->close();
} else {
    // Invalid request due to incorrect password
    echo json_encode(['status' => 'error', 'message' => 'Invalid Request']);
    exit;
}

?>
